var Login = "http://cas.1wangxiao.com/api/Accont/Login";//用户登录
var CheckCode = "http://cas.1wangxiao.com/api/Accont/CheckCode";//验证码
var SignIn = "http://cas.1wangxiao.com/api/Accont/SignIn";//注册
var ResetPassWord = "http://cas.1wangxiao.com/api/Accont/ResetPassWord";//修改密码
var GetExamUID = "http://newexam.1wangxiao.com/api/MyCourse/GetExamUID";//题库授权ID
var GetServices = "http://newexam.1wangxiao.com/api/MyCourse/GetServices";//获取购买产品
var Record = "http://newexam.1wangxiao.com/api/MyCourse/Record";//学习记录
var TestList = "http://newexam.1wangxiao.com/api/Paper/PaperList" //获取试题列表
var TodayPlan = "http://newexam.1wangxiao.com/api/MyCourse/TodayPlanSCID";//推送课时当天
var Plan = "http://newexam.1wangxiao.com/api/MyCourse/PlanSCID";//推送课时全部
var GetPaper = "http://newexam.1wangxiao.com/api/QuestionV2/GetPaper";//试卷信息
var GetQuestionList = "http://newexam.1wangxiao.com/api/QuestionV2/GetQuestionList";//试题列表
var timeid = "http://newexam.1wangxiao.com/api/Question/timeid";//流水号
var TestList = "http://newexam.1wangxiao.com/api/Paper/PaperList";//用户题库产品
var AddLog = "http://newexam.1wangxiao.com/Learning/AddLog";//提交试卷
var GetClass = "http://newexam.1wangxiao.com/api/MobileApp/GetClass";//获取课程分类
var GetQuestionTypes = "http://newexam.1wangxiao.com/api/QuestionV2/GetQuestionTypes";//获取自定义题型名称
var TodayStudyTime = "http://newexam.1wangxiao.com/api/MyCourse/TodayStudyTime";//获取当天ID
var GetMyFavorite = "http://newexam.1wangxiao.com/api/StudyLog/GetMyFavorite";//获取收藏
var GetMyRecord = "http://newexam.1wangxiao.com/api/StudyLog/GetMyRecord";//获取错题集
var DelMyFavorite = "http://newexam.1wangxiao.com/api/StudyLog/DelMyFavorite";//删除收藏试题
var DelMyRecord = "http://newexam.1wangxiao.com/api/StudyLog/DelMyRecord";//删除错题集
var GetQuestion = "http://newexam.1wangxiao.com/api/QuestionV2/GetQuestion";//获取单道题
var TodayStudyTime = "http://newexam.1wangxiao.com/api/MyCourse/TodayStudyTime";//获取当日学习时长
var GetMyMessage = "http://cas.1wangxiao.com/api/CasSite/GetMyMessage"; // 获取站内信息
var FeedBack = "http://newexam.1wangxiao.com/api/MobileApp/Feedback"; // 意见反馈
var QuestionErrReply = "http://newexam.1wangxiao.com/api/MobileApp/QuestionErrReply?";


(function($, owner) {
	/**
	 * 用户登录
	 **/
	owner.login = function(loginInfo, callback) {
		callback = callback || $.noop;
		loginInfo = loginInfo || {};
		loginInfo.account = loginInfo.account || '';
		loginInfo.password = loginInfo.password || '';
		if (loginInfo.account=="") {
			return callback('请输入手机号');
		}
		if(!(/^1(3|4|5|7|8)\d{9}$/.test(loginInfo.account))){ 
			return callback('输入的手机号格式错误');
		}
		if (loginInfo.password.length < 6) {
			return callback('密码最短需要 6 个字符');
		}
		var users = JSON.parse(localStorage.getItem('$users') || '[]');
		var authed = users.some(function(user) {
			return loginInfo.account == user.account && loginInfo.password == user.password;
		});
		if (authed) {
			return owner.createState(loginInfo.account, callback);
		} else {
			return callback('用户名或密码错误');
		}
	};

	owner.createState = function(name, callback) {
		var state = owner.getState();
		state.account = name;
		state.token = "token123456789";
		owner.setState(state);
		return callback();
	};

	/**
	 * 新用户注册
	 **/
	owner.reg = function(regInfo, callback) {
		callback = callback || $.noop;
		regInfo = regInfo || {};
		regInfo.account = regInfo.account || '';
		regInfo.password = regInfo.password || '';
		if (regInfo.account=="") {
			return callback('请输入手机号');
		}
		if (!(/^1(3|4|5|7|8)\d{9}$/.test(regInfo.account))) {
			return callback('输入的手机号格式错误');
		}
		
		if (regInfo.password.length < 6) {
			return callback('密码最短需要 6 个字符');
		}
		
		var users = JSON.parse(localStorage.getItem('$users') || '[]');
		users.push(regInfo);
		localStorage.setItem('$users', JSON.stringify(users));
		return callback();
	};

	/**
	 * 获取当前状态
	 **/
	owner.getState = function() {
		var stateText = localStorage.getItem('$state') || "{}";
		return JSON.parse(stateText);
	};

	/**
	 * 设置当前状态
	 **/
	owner.setState = function(state) {
		state = state || {};
		localStorage.setItem('$state', JSON.stringify(state));
		//var settings = owner.getSettings();
		//settings.gestures = '';
		//owner.setSettings(settings);
	};

//	var checkEmail = function(email) {
//		email = email || '';
//		return (email.length > 3 && email.indexOf('@') > -1);
//	};

	/**
	 * 获取验证码
	 **/

	owner.codeObtain = function(codeInfo, callback) {
		callback = callback || $.noop;
		codeInfo = codeInfo || {};
		codeInfo.account = codeInfo.account || '';
		if (codeInfo.account=="") {
			return callback('请输入手机号');
		}
		if (!(/^1(3|4|5|7|8)\d{9}$/.test(codeInfo.account))) {
			return callback('输入的手机号格式错误');
		}
		return callback();
		// return callback(null, '密码修改成功');
	};


	/**
	 * 找回密码
	 **/
	
	owner.forgetPassword = function(forgetInfo, callback) {
		callback = callback || $.noop;
		forgetInfo = forgetInfo || {};
		forgetInfo.account = forgetInfo.account || '';
		if (forgetInfo.account=="") {
			return callback('请输入手机号');
		}
		if (!(/^1(3|4|5|7|8)\d{9}$/.test(forgetInfo.account))) {
			return callback('输入的手机号格式错误');
		}
		if (forgetInfo.password.length < 6) {
			return callback('密码最短需要 6 个字符');
		}
		return callback();
		// return callback(null, '密码修改成功');
	};

	
	/**
	 * 获取应用本地配置
	 **/
	owner.setSettings = function(settings) {
		settings = settings || {};
		localStorage.setItem('$settings', JSON.stringify(settings));
	}

	/**
	 * 设置应用本地配置
	 **/
	owner.getSettings = function() {
			var settingsText = localStorage.getItem('$settings') || "{}";
			return JSON.parse(settingsText);
		}
		/**
		 * 获取本地是否安装客户端
		 **/
	owner.isInstalled = function(id) {
		if (id === 'qihoo' && mui.os.plus) {
			return true;
		}
		if (mui.os.android) {
			var main = plus.android.runtimeMainActivity();
			var packageManager = main.getPackageManager();
			var PackageManager = plus.android.importClass(packageManager)
			var packageName = {
				"qq": "com.tencent.mobileqq",
				"weixin": "com.tencent.mm",
				"sinaweibo": "com.sina.weibo"
			}
			try {
				return packageManager.getPackageInfo(packageName[id], PackageManager.GET_ACTIVITIES);
			} catch (e) {}
		} else {
			switch (id) {
				case "qq":
					var TencentOAuth = plus.ios.import("TencentOAuth");
					return TencentOAuth.iphoneQQInstalled();
				case "weixin":
					var WXApi = plus.ios.import("WXApi");
					return WXApi.isWXAppInstalled()
				case "sinaweibo":
					var SinaAPI = plus.ios.import("WeiboSDK");
					return SinaAPI.isWeiboAppInstalled()
				default:
					break;
			}
		}
	}





}(mui, window.app = {}));