function saveRecord () {
	// 获取所有试题的qid
	var qids = new Array();
	var datas = new Array();
	
	//*****获取所有的qid*****//
	$(".testTypes").each(function () {
		qids.push($(this).attr("qid"));
	});
	var qidLen = qids.length;
	var noRepArr = []; // 去除重复的qid
	for (var i=0; i<qidLen; i++) {
		if (noRepArr.indexOf(qids[i]) == -1) noRepArr.push(qids[i]);
	}
	
	var lens = noRepArr.length;
	for (var j=0; j<lens; j++) {
		var an = ""; // 用户的答案
		var num = 1; // 题目标号
		$("[qid="+noRepArr[j]+"]").each(function () {
			if ($(this).attr("answer").length == 0) {
				an += '9';  // 没做的题目用9来表示
			}else {
				an += $(this).attr("answer");
			}
		});
		datas.push(an);
	}
	localStorage.removeItem("recordData");
	datas = JSON.stringify(datas); // 保存的是答案信息
	localStorage.setItem("recordData",datas);
	localStorage.removeItem("noRepArr");
	noRepArr = JSON.stringify(noRepArr); // 保存的是试题id信息
	localStorage.setItem("noRepArr",noRepArr);
//	console.log(datas.length);
}

// 把保存的做做题记录还原
function backRecord () {
	
	var redata = localStorage.getItem("recordData");
	if (redata != null) {
		redata = JSON.parse(redata);
	}
	
	var noreparr = localStorage.getItem("noRepArr");
	if (noreparr != null) {
		noreparr = JSON.parse(noreparr);
	}
	
	var len = noreparr.length;
	if(redata != null && noreparr != null){
			
		for (var j=0;j<len;j++) {
			
			// 当$(qid).length > 1 证明是公用题；添加一个判断
			if ($("[qid="+noreparr[j]+"]").length == 1) {  // 长度为1，证明是单选题或者是多选题
				$("[qid="+noreparr[j]+"]").attr("answer",redata[j]);
				$("[qid="+noreparr[j]+"]").each(function () {
					if (redata[j] != 9) {
						if (redata[j].indexOf("|") != -1) {
							var muiSel = redata[j].split('|');
							for (var n=0; n<muiSel.length;n++) {
								$(this).find("[itemvalue="+muiSel[n]+"]").addClass("mui-check");
							}
						}else {
							$(this).find("[itemvalue="+redata[j]+"]").addClass("mui-check");
						}
						
					}
				});
			} else{ // 下面的都是公用题干或公用选项题
				var nn = 0; // 记录公共题有多少小题
				$("[qid="+noreparr[j]+"]").each(function () {
					// 想办法吧redata[j]里面的结果给拆分出来
					var sigSel = redata[j].split('');
					$(this).attr("answer",sigSel[nn]);
					if (redata[j] != 9) {
						$(this).find("[itemvalue="+sigSel[nn++]+"]").addClass("mui-check");
					}
				});
				
			}
			
			
		}
			
	}
}

function addAnswers () {
	$("[qid="+noreparr[j]+"]").each(function () {
		if (redata[j] != 9) {
			if (redata[j].indexOf("|") != -1) {
				var muiSel = redata[j].split('|');
				for (var n=0; n<muiSel.length;n++) {
					$(this).find("[itemvalue="+muiSel[n]+"]").addClass("mui-check");
				}
			}else {
				$(this).find("[itemvalue="+redata[j]+"]").addClass("mui-check");
			}
			
		}
	});
}
