function createTable (tableName) {
	// 创建数据库
	dataBase = window.openDatabase('mysql','1.0','test',5*1024*1024);
	// 调试-容错处理
	if (dataBase) {
//		console.log('数据库打开/创建成功');
	} else{
//		console.log('数据库创建失败');
	}
	// 创建表单
	var creatTableSQL = 'CREATE TABLE IF  NOT EXISTS '+ tableName + ' (rowid INTEGER PRIMARY KEY AUTOINCREMENT, paperID text,paperConts text)';
		    dataBase.transaction(function (ctx,result) {
		        ctx.executeSql(creatTableSQL,[],function(ctx,result){
//		            console.log("表创建成功 " + tableName);
		        },function(tx, error){ 
//		            console.log('创建表失败:' + tableName + error.message);
		        });
		    });
}


// 插入数据
function AddDataToTable(tableName,paperID,paperConts){
		    var insterTableSQL = 'INSERT INTO ' + tableName + ' (paperID,paperConts) VALUES (?,?)';
		    dataBase.transaction(function (ctx) {
		        ctx.executeSql(insterTableSQL,[paperID,paperConts],function (ctx,result){
//		            alert("插入" + tableName  + paperID + "成功");
		        },
		        function (tx, error) {
//		            alert('插入失败: ' + error.message);
		        });
		    });
		}

// 删除表单
function DeleteAllDataFromTable(tableName){
    var deleteTableSQL = 'DELETE FROM ' + tableName;
    localStorage.removeItem(tableName);
    dataBase.transaction(function (ctx,result) {
        ctx.executeSql(deleteTableSQL,[],function(ctx,result){
//          console.log("删除表成功 " + tableName);
            plus.nativeUI.toast('清除缓存成功！');
        },function(tx, error){ 
//          alert('删除表失败:' + tableName + error.message);
        });
    }); 
} 

//**********************************************************//
function GetAData(tableName,paperID,listURL){ 
    var selectSQL = 'SELECT * FROM ' + tableName + ' WHERE paperID = ?';
    dataBase.transaction(function (ctx) {
        ctx.executeSql(selectSQL,[paperID],function (ctx,result){
			if (result.rows.length > 0) {
				mui.openWindow({
					url:'tInfo.html',
					id:'tInfo',
					extras:{
				      pid : paperID
				    },
					show:{
					autoShow:true,
					aniShow:'slide-in-right',//页面显示动画，默认为”slide-in-right
					duration:200
					}
				}); //页面跳转
			} else{
				mui.getJSON(listURL,function(data){
//					console.log(JSON.stringify(data));
					if(data.status == true){
						//********判断是否有试卷*********//
						if(data.data.length <= 0){
							mui.toast('该课程暂无试卷!')
							return;
						}
						var paperConts = JSON.stringify(data);
						if (paperConts.length > 0) {
							AddDataToTable(tableName,paperID,paperConts)
						}
						mui.openWindow({
							url:'tInfo.html',
							id:'tInfo',
							extras:{
						      pid : paperID
						    },
							show:{
							autoShow:true,
							aniShow:'slide-in-right',//页面显示动画，默认为”slide-in-right
							duration:200
							}
						}); //页面跳转
					}else {
						mui.alert('您还未登录或暂未开通此试卷，请联系您的学习顾问!')
					}
				});
			}		
        },
        function (tx, error) {
            console.log('查询失败: ' + error.message);
    	});
	});
}

function GetTAData(tableName,paperID,listURL){ 
    var selectSQL = 'SELECT * FROM ' + tableName + ' WHERE paperID = ?';
    dataBase.transaction(function (ctx) {
        ctx.executeSql(selectSQL,[paperID],function (ctx,result){
			if (result.rows.length > 0) {
				mui.openWindow({
					url:'examples/tInfo.html',
					id:'tInfo',
					extras:{
				      pid : paperID
				    },
					show:{
					autoShow:true,
					aniShow:'slide-in-right',//页面显示动画，默认为”slide-in-right
					duration:200
					}
				}); //页面跳转
			} else{
				mui.getJSON(listURL,function(data){
//					console.log(JSON.stringify(data));
					if(data.status == true){
						//********判断是否有试卷*********//
						if(data.data.length <= 0){
							mui.toast('该课程暂无试卷!')
							return;
						}
						var paperConts = JSON.stringify(data);
						if (paperConts.length > 0) {
							AddDataToTable(tableName,paperID,paperConts)
						}
						mui.openWindow({
							url:'examples/tInfo.html',
							id:'tInfo',
							extras:{
						      pid : paperID
						    },
							show:{
							autoShow:true,
							aniShow:'slide-in-right',//页面显示动画，默认为”slide-in-right
							duration:200
							}
						}); //页面跳转
					}else {
						mui.alert('您还未登录或暂未开通此试卷，请联系您的学习顾问!')
					}
				});
			}		
        },
        function (tx, error) {
            console.log('查询失败: ' + error.message);
    	});
	});
}

function parModeGetAData(tableName,paperID,listURL){ 
    var selectSQL = 'SELECT * FROM ' + tableName + ' WHERE paperID = ?';
    dataBase.transaction(function (ctx) {
        ctx.executeSql(selectSQL,[paperID],function (ctx,result){
			if (result.rows.length > 0) {
				mui.openWindow({
					url:'../practiceMode/pMInfo.html',    // 练习模式的信息页
					id:'pMInfo',
					extras:{
				      pid : paperID
				    },
					show:{
					autoShow:true,
					aniShow:'slide-in-right',//页面显示动画，默认为”slide-in-right
					duration:200
					}
				}); //页面跳转
			} else{
				mui.getJSON(listURL,function(data){
					if(data.status == true){
						//********判断是否有试卷*********//
						if(data.data.length <= 0){
							mui.toast('该课程暂无试卷!')
							return;
						}
						var paperConts = JSON.stringify(data);
						if (paperConts.length > 0) {
							AddDataToTable(tableName,paperID,paperConts)
						}
						mui.openWindow({
							url:'../practiceMode/pMInfo.html',    // 练习模式的信息页
							id:'pMInfo',
							extras:{
						      pid : paperID
						    },
							show:{
							autoShow:true,
							aniShow:'slide-in-right',//页面显示动画，默认为”slide-in-right
							duration:200
							}
						}); //页面跳转
					}else {
						mui.alert('您还未登录或暂未开通此试卷，请联系您的学习顾问!')
					}
				});
			}		
        },
        function (tx, error) {
            console.log('查询失败: ' + error.message);
    	});
	});
}












